<template>
    <div class="breed-selection">
        <h2>"Hello {{userName.firstName}} {{userName.lastName}}"</h2>
        <div class="cat-breed-drop-down">
            <label>Select a breed of cat: </label>
            <select @change="selectBreed($event, $event.target.selectedIndex)">
                <option v-for="(cat, index) in breeds" :key="index">{{cat.breed}}</option>
            </select>
            <cat-breed-summary :selected-cat="selectedCat" v-if="selectedCat"></cat-breed-summary>
        </div>
        <button class="back" @click.prevent="$router.push('user-form')">Back</button>
    </div>
</template>

<script>
import axios from "axios";
import CatBreedSummary from "./CatBreedSummary.vue";

export default{
    data() {
        return{
            breeds: [],
            selectedCat: null
        }
    },
    mounted() {
        axios.get('https://catfact.ninja/breeds')
            .then(response => this.breeds = response.data.data)
            .catch(err => console.error(err));

        console.log(this.breeds);
    },
    components: {
        CatBreedSummary
    },
    computed: {
        userName(){
            return this.$store.state.userName;
        }
    },
    props: {
    },
    methods: {
        selectBreed(event, selectedIndex){
            this.selectedCat = this.breeds[selectedIndex];
        }
    }
}

</script>

<style scoped>

.breed-selection{
  padding-left: 25px;
}

h2{
  text-align: left;
}

.back{
  position: absolute;
  bottom: 0;
  margin-left: 0px;
}

.cat-breed-drop-down{
  display: flex;
  flex-direction: column;
  width: 90%;
}

label{
  font-size: 14px;
  color: slategray;
}
</style>